import uuid
import datetime as dt
from marshmallow import Schema, fields, post_load
from vrpmdvmonreq import VRPMDV_MonReq


class VRPMDV_MonReqSchema(Schema):
        name = fields.String()
        samplerate = fields.Integer()
        sampleperiod = fields.Integer()
        downtime = fields.Integer()
        owner = fields.String()

        @post_load
        def make_vrpmdv_MonitoringReq(self, data, **kwargs):
            return VRPMDV_MonReq(**data)



